<!-- TITLE -->
<div class="mb-40 mt-40">
    <h1>My Profile</h1>
</div>

<div class="card">
    <form #profileForm="ngForm" class="container-fluid mt-20" *ngIf="user">
        <div class="row justify-content-md-center mt-40 mb-40">
            <div class="col-md-10">
                <div class="form-group">
                    <label for="correo">Coreo</label>
                    <input type="text" class="form-control" id="correo" [(ngModel)]="user.correo" name="correo"
                        #correo="ngModel" required disabled>
                </div>

                <div class="form-group">
                    <label for="username">apellidos</label>
                    <input type="string" class="form-control" id="apellidos" [(ngModel)]="user.apellidos"
                        name="apellidos" #apellidos="ngModel">
                </div>

                <div class="form-group">
                    <label for="username">contrasenia</label>
                    <input type="string" class="form-control" id="contrasenia" [(ngModel)]="user.contrasenia"
                        name="contrasenia" #contrasenia="ngModel" reqired>
                </div>
                <div class="form-group">
                    <label for="username">correo</label>
                    <input type="string" class="form-control" id="correo" [(ngModel)]="user.correo" name="correo"
                        #correo="ngModel">
                </div>
                <div class="form-group">
                    <label for="username">nombres</label>
                    <input type="string" class="form-control" id="nombres" [(ngModel)]="user.nombres" name="nombres"
                        #nombres="ngModel">
                </div>

                <div class="mt-40">
                    <button class="btn btn-info" data-toggle="modal" data-target="#changePasswordModal">Change
                        Password</button>
                    <button class="btn btn-primary pull-right" color="primary" [disabled]="profileForm.invalid"
                        (click)="save(profileForm.valid!)">Save</button>
                    <button class="btn btn-secondary pull-right mr-2" routerLink="/home">Back To Home</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- Modal -->
<div class="modal fade" id="changePasswordModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"><i class="fa fa-lock"></i>&nbsp;&nbsp;Change password
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form #changePasswordForm="ngForm" class="container-fluid">
                <div class="modal-body">
                    <div class="row justify-content-md-center">
                        <div class="col-10">
                            <div class="form-group">
                                <label for="passwordOld">Old Password</label>
                                <input type="password" class="form-control" id="passwordOld" [(ngModel)]="passwordOld"
                                    name="passwordOld" #passwordOldForm="ngModel" required>
                            </div>
                            <div class="form-group">
                                <label for="passwordNew">New Password</label>
                                <input type="password" class="form-control" id="passwordNew" [(ngModel)]="passwordNew"
                                    name="passwordNew" #passwordNewForm="ngModel" required>
                            </div>
                            <div class="form-group">
                                <label for="passwordNewConfirm">Confirm New Password</label>
                                <input type="password" class="form-control" id="passwordNewConfirm"
                                    [(ngModel)]="passwordNewConfirm" name="passwordNewConfirm"
                                    #passwordNewConfirmForm="ngModel"
                                    [ngClass]="{'is-invalid': passwordNew && passwordNewConfirm && passwordNew !== passwordNewConfirm}"
                                    required>
                                <p *ngIf="passwordNew && passwordNewConfirm && passwordNew !== passwordNewConfirm"
                                    class="help-block">Passwords missmatch</p>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
            <div *ngIf="showError" class="row justify-content-md-center">
                <div class="alert alert-danger text-left">
                    <strong>Error!</strong> Old passsword not valid
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" #closeModal class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary"
                    [disabled]="changePasswordForm.invalid || (passwordNew && passwordNewConfirm && passwordNew !== passwordNewConfirm)"
                    (click)="changePassword()">Save</button>
            </div>
        </div>
    </div>
</div>